@tailwind base;
@tailwind components;
@tailwind utilities;


// Input range styling. Note: not grouped, since then the pseude selectors might be lost during scss build
// See e.g. https://www.hongkiat.com/blog/html5-range-slider-style/ for more information

// Webkit browsers
input[type=range]::-webkit-slider-runnable-track {
  @apply h-1.5 bg-gray-200 rounded-full border-none;
}

input[type=range]::-webkit-slider-thumb {
  @apply appearance-none border-none w-4 h-4 rounded-full bg-sky-500 -mt-1;
}

input[type=range]:focus::-webkit-slider-runnable-track {
  @apply bg-gray-200;
}


// Firefox
input[type=range]::-moz-range-track {
  @apply h-1.5 bg-gray-200 rounded-full border-none;
}

input[type=range]::-moz-range-thumb {
  @apply appearance-none border-none w-4 h-4 rounded-full bg-sky-500;
}

input[type=range]:focus::-moz-range-track {
  @apply bg-gray-200;
}

// // In Firefox, hide the outline behind the border?
// input[type=range]:-moz-focusring {
//   outline: 1px solid white;
//   outline-offset: -1px;
// }


// IE
input[type=range]::-ms-thumb {
  @apply appearance-none border-none w-4 h-4 rounded-full bg-sky-500;
}

input[type=range]:focus::-ms-fill-lower {
  @apply bg-gray-200;
}

input[type=range]:focus::-ms-fill-upper {
  @apply bg-gray-200;
}

input[type=range]::-ms-track {
  @apply h-1.5 text-transparent bg-transparent border-transparent; // Remove bg color from the track, we'll use ms-fill-lower and ms-fill-upper instead. Remove default tick marks

  // Leave room for the larger thumb to overflow with a transparent border
  border-width: 6px 0;
}

input[type=range]::-ms-fill-lower,
input[type=range]::-ms-fill-upper {
  @apply bg-gray-200 rounded-full;
}
